module single_port_ram_21_8(
			clk,
			data,
			we,
			addr, 
			out
			);
`define ADDR_WIDTH_21_8 8
`define DATA_WIDTH_21_8 2

    input 				clk;
    input	[`DATA_WIDTH_21_8-1:0] 	data;
    input 				we;
    input	[`ADDR_WIDTH_21_8-1:0] 	addr;

    
    output	[`DATA_WIDTH_21_8-1:0] 	out;
     
     
    defparam _str.ADDR_WIDTH = `ADDR_WIDTH_21_8;
	defparam _str.DATA_WIDTH = `DATA_WIDTH_21_8;
	single_port_ram _str (
		.clk( clk ),
		.addr( addr ),
		.we( we ),
		.data( data ),
		.out( out )
	);
    
endmodule
